KCModuleProxyIface Class Referenceabstract
KControl module classes

`#include <kcmoduleproxyIface.h>`

Inherits DCOPObject.

Inherited by KCModuleProxyIfaceImpl`[virtual]`.

## Public Attributes

k_dcop_signals | __pad0__: virtual void changed( bool c )

## Detailed Description

DCOP Interface for KCModule.

A module (which is loaded via KCModuleProxy) does always have this DCOP interface, whether it's in root mode or not.

Since
  3.4

Definition at line 36 of file kcmoduleproxyIface.h.

## Member Function Documentation

virtual QString KCModuleProxyIface::applicationName | ( |  | ) |

pure virtual

Return the caption of the host application which the module is part in.

This is the application name, or similar.

Returns
  the host's name

virtual bool KCModuleProxyIface::changed | ( |  | ) |

pure virtual

Returns
  true if the module has unsaved data, typically.

virtual void KCModuleProxyIface::defaults | ( |  | ) |

pure virtual

Load defaults.

virtual void KCModuleProxyIface::load | ( |  | ) |

pure virtual

Load settings.

virtual QString KCModuleProxyIface::quickHelp | ( |  | ) |

pure virtual

Returns the module's quick help.

virtual void KCModuleProxyIface::save | ( |  | ) |

pure virtual

Save settings.

The documentation for this class was generated from the following file:

- kcmoduleproxyIface.h

KDE Home | KDE Accessibility Home | Description of Access Keys